=== modified file 'default.c'
--- default.c	2011-12-13 13:57:51 +0000
+++ default.c	2011-12-13 14:09:17 +0000
@@ -30,6 +30,7 @@
 #include "fastwriter.h"
 #include "private.h"
 #include "sysinfo.h"
+#include "default.h"
 
 #define SYNC_MODE
 #define HAVE_FALLOCATE
@@ -48,7 +49,7 @@
 } fastwriter_default_t;
 
 
-int fastwriter_open_default(fastwriter_t *fw, const char *name, fastwriter_flags_t flags) {
+int fastwriter_default_open(fastwriter_t *fw, const char *name, fastwriter_flags_t flags) {
     int err;
     char fs[16];
 
@@ -108,7 +109,7 @@
 }
 
 
-void fastwriter_close_default(fastwriter_t *fw) {
+void fastwriter_default_close(fastwriter_t *fw) {
     if (fw->ctx) {
 	fastwriter_default_t *ctx = (fastwriter_default_t*)fw->ctx;
 
@@ -127,7 +128,7 @@
 }
 
 
-int fastwriter_write_default(fastwriter_t *fw, fastwriter_write_flags_t flags, size_t size, void *data, size_t *written) {
+int fastwriter_default_write(fastwriter_t *fw, fastwriter_write_flags_t flags, size_t size, void *data, size_t *written) {
     size_t sum = 0;
     ssize_t res;
     fastwriter_default_t *ctx = (fastwriter_default_t*)fw->ctx;

=== modified file 'default.h'
--- default.h	2011-12-13 13:57:51 +0000
+++ default.h	2011-12-13 14:09:17 +0000
@@ -3,9 +3,9 @@
 
 #include "private.h"
 
-int fastwriter_open_default(fastwriter_t *ctx, const char *name, fastwriter_flags_t flags);
-void fastwriter_close_default(fastwriter_t *ctx);
-int fastwriter_write_default(fastwriter_t *ctx, fastwriter_write_flags_t flags, size_t size, void *data, size_t *written);
+int fastwriter_default_open(fastwriter_t *ctx, const char *name, fastwriter_flags_t flags);
+void fastwriter_default_close(fastwriter_t *ctx);
+int fastwriter_default_write(fastwriter_t *ctx, fastwriter_write_flags_t flags, size_t size, void *data, size_t *written);
 
 #ifdef _FASTWRITER_DEFAULT_C
 fastwriter_api_t fastwriter_default_api = {

